<?php
include ("base/elemento.class.php");
include ("base/categoria.class.php");
include ("include/images/images_mod.class.php");

class banner_lb extends elemento{
	

	
	function banner_lb() {
        
        $c= new categoria;

    }

	
	function guardar($id){
		$trata = new images_mod($this->req);
		$this->req['ficheiro'] = $trata->tratafile_escolhe('ficheiro');
		$this->req['imagem'] = $trata->trataimagem_escolhe('imagem', "../netimages/banner_lb/");
	
		parent::guardar($id);
	}
	


	function editar($id=""){

        $db= new dbElemento;
		$linha=@$db->getLinha($this->tipo, $id);

		$f= new form($id, $linha , $this->req);
		$f->toolbars();
		$f->titulo("Banners Leaderboard/ ",1);
				
		$f->campoTexto("Título","titulo" );
		$f->campoFicheiro3("Flash", "ficheiro");
		$f->campoImagem3("Imagem", "imagem", 728, 90, "../netimages/banner_lb/");
		$f->campoTexto("Link","link" );
		$f->campoTexto("Peso (1 a 10)","peso" );
		$f->campoAreaTexto("Embed","embed");
		$f->labelbr("Cliques", $linha['cliques'] );
		$f->labelbr("Visualizações", $linha['contagem'] );

		$f->campoSimNao("Activo", "activo", 0);
		
		$f->mostra();
	}
	
		function listar(){

        $campos=array("Nr"=>"id","Titulo"=>"titulo", "Peso"=>"peso", "Cliques"=>"cliques", "Visualizações"=>"contagem", "Activo"=>"activo");
        
        $db= new dbElemento;
        
        $dados1=$db->getLista($this->tipo, $this->idCat, $campos , "id", 1 ,$this->req['offset'], $this->req['limit'], $this->req['procurar'], $this->req['filtro'] );
        $this->req['total']=$db->getTotal($this->tipo, $this->idCat, $this->req['procurar'], $this->req['filtro']);
         
		 
		$tamk=sizeof($dados);
		
		$kmin=	 ((int)$_SESSION['authdata']['id_grupo']-1)*3;
		$kmax=	 (int)$_SESSION['authdata']['id_grupo']*3;
		
		for ($k=$kmin;$k<$kmax;$k++){
			$dados[$k]=$dados1[$k];
			$dados[$k]['activo']=$dados1[$k]['activo']==1?"Activo":"";
		}
			
		        
        $f= new lista($campos, $dados, $this->req);
		
		$toolbar= new toolbar(); 
		//$toolbar->botao("Novo");
		//$toolbar->botao2("Mover");
		//$toolbar->botao2("Copiar");
		$toolbar->botao2("Apagar");
		$toolbar->ini();
		$toolbar->nav($this->req['offset'], $this->req['limit'], $this->req['total']);
		$toolbar->ini();

		$toolbar->procurar($this->req['procurar']);   //mudar para campo
		$toolbar->botao("procurar", 90);
		//$toolbar->botaoHelp($this->tipo,"", 90);
		$toolbar->fim();
		
		$f->titulo("Banners  Leaderboard/ ");
		//$f->cabeca();
		$f->cabecaSimples();
		
        //$f->filtros();
        $f->tabela(false, false, false);
		$f->mostra();

	}

}
?>
